to print – How to install HP OfficeJet Pro 6970 on Ubuntu 18.04

I did a boo-boo.

I've bought a new HP OfficeJet Pro 6970, without first checking it works with Ubuntu 18.04. Of course, this is not the case.

> INSTALL MISSING DEPENDENCIES

note: The installation of dependencies requires an active Internet connection.
warning: missing REQUIRED dependency: cups-devel (devel CUPS development files – common Unix printing system)
warning: Required dependency missing: libtool (libtool – Support services for library creation)
warning: missing REQUIRED dependency: cups-image (CUPS image – CUPS image development files)
warning: Missed dependency missing: libnetsnmp-devel (libnetsnmp-devel – SNMP network library development files)
warning: Required dependency missing: pyqt4-dbus (PyQt 4 DBus – DBus support for PyQt4)
warning: Required dependency missing: pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))
warning: missing REQUIRED dependency: dbus (DBus – message bus system)
warning: Missed dependency missing: sane-devel (SANE – Scan library development files)

INSTALL MISSING OPTIONAL DEPENDENCIES

note: The installation of dependencies requires an active Internet connection.
warning: missing OPTIONAL dependency for fax option: reportlab (Reportlab – PDF library for Python)
warning: Missing OPTIONAL dependency for scan option: pil (PIL – Python Imaging Library (required for command-line scan with hp-scan))
warning: This installer can not install "pil" for your distribution / operating system and / or version.

All referral repositories are active, which does not matter because the missing dependencies above are no longer available with 18.04.

Yes, I am using the latest version of hplip-3.19.3

That's where I get stuck:

Launch sudo apt-get install - yes-yes libcups2-dev & # 39;
Please wait, it may take several minutes ...
error: the command failed. Try again # 1 ...
Launch sudo apt-get install - yes-yes libcups2-dev & # 39;
Please wait, it may take several minutes ...
error: the command failed. Try again # 2 ...
Launch sudo apt-get install - yes-yes libcups2-dev & # 39;
Please wait, it may take several minutes ...
error: the command failed. Try again # 3 ...
Launch sudo apt-get install - yes-yes libcups2-dev & # 39;
Please wait, it may take several minutes ...
Error: The Package Installation Command Failed with Error Code 100
Would you like to try again to install the missing package (s = yes *, n = no, q = stopped)?

While saving life .. ok money saving tips out there?

THX